<div class="container">
    <div class="row">
        <div class="col-lg-12">
            <h1>Standalone</h1>
            <p>
                Use Drugst.One as if it was integrated on your one website! Below you have the Drugst.One app based on
                the configuration below. This page can be the target of URL based requests to visualize specific genes.
                You can read more about how to create such URLs <a class="link-primary"
                                                                   (click)="switchToDoc('standalone')">here</a>.
            </p>
        </div>
    </div>
    <div class="accordion" id="accordionPanelsStandalone">
        <div
                class="accordion-item"
                [ngClass]="{
        'text-light bg-dark': themeService.theme === 'theme-dark',
        'text-dark bg-light': themeService.theme === 'theme-light'
      }"
        >
            <h2 class="accordion-header" id="panelsDrugstone">
                <button
                    #drugstoneApp
                    class="accordion-button"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#panelsStayOpen-collapseThree"
                    aria-expanded="true"
                    aria-controls="panelsStayOpen-collapseThree"
                    [ngClass]="{
            'text-light bg-dark': themeService.theme === 'theme-dark',
            'text-dark bg-light': themeService.theme === 'theme-light'
          }"
                >
                    <i class="fas fa-capsules"></i>&nbsp;Drugst.One
                </button>
            </h2>
            <div
                    id="panelsStayOpen-collapseThree"
                    class="accordion-collapse collapse show"
                    aria-labelledby="panelspanelsDrugstone"
            >
                <div class="accordion-body" #standalonePlugin>
                    <app-drugstonepanel
                            id="drugstone_standalone_plugin"
                            [config]="config"
                            [network]="network"
                            [groups]="groups"
                    ></app-drugstonepanel>
                </div>
            </div>
        </div>
        <div
                class="accordion-item"
                [ngClass]="{
        'text-light bg-dark': themeService.theme === 'theme-dark',
        'text-dark bg-light': themeService.theme === 'theme-light'
      }"
        >
            <h2 class="accordion-header" id="panelsNetworkInput">
                <button
                    #networkInput
                    class="accordion-button"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#panelsStayOpen-collapseOne"
                    aria-expanded="true"
                    aria-controls="panelsStayOpen-collapseOne"
                    [ngClass]="{
            'text-light bg-dark': themeService.theme === 'theme-dark',
            'text-dark bg-light': themeService.theme === 'theme-light'
          }"
                >
                    <i class="far fa-list-alt"></i>&nbsp;Network Input
                </button>
            </h2>
            <div
                    id="panelsStayOpen-collapseOne"
                    class="accordion-collapse collapse show"
                    aria-labelledby="panelsNetworkInput"
            >
                <div class="accordion-body">
                    <app-dropdown
                            label="Node Source"
                            [items]="dataLists.identifierList"
                            tooltip="Select the type of source IDs you use for your gene/protein nodes. This is necessary to correctly map the entries and to provide additional information. Additional sources may be included in the future or upon request."
                            [model]="getConfig('identifier')"
                            (onChange)="changeConfig('identifier', $event)"
                    ></app-dropdown>
                    <div class="row p-2">
                        <div class="col-md-6 border-end">
                            <h3>Nodes</h3>
                            <textarea
                                    class="w-100"
                                    pInputTextarea
                                    [(ngModel)]="rawNodes"
                                    placeholder="Enter a list of node ids separated by: tab, newline, comma, semicolon or space! E.g.:  PTEN, TP53 "
                                    [autoResize]="false"
                            ></textarea>
                        </div>
                        <div class="col-md-6">
                            <h3>Edges</h3>
                            <div>
                <textarea
                        class="w-100"
                        pInputTextarea
                        [(ngModel)]="rawEdges"
                        placeholder="Enter an edge list, so pairs of nodeIDs separated by: tab, comma, semicolon or space and each pair separated by newline (\n)! E.g.:  PTEN, TP53\nPTEN, BRCA1 "
                        [autoResize]="false"
                ></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12 text-center p-2">
                            <p-button
                                    label="Load Network"
                                    icon="fas fa-long-arrow-alt-right"
                                    styleClass="p-button-sm p-button-primary"
                                    (onClick)="setNetwork()"
                            ></p-button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div
                class="accordion-item"
                [ngClass]="{
        'text-light bg-dark': themeService.theme === 'theme-dark',
        'text-dark bg-light': themeService.theme === 'theme-light'
      }"
        >
            <h2 class="accordion-header" id="panelsAdvancedSettings">
                <button
                    #advancedSettings
                    class="accordion-button"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#panelsStayOpen-collapseTwo"
                    aria-expanded="true"
                    aria-controls="panelsStayOpen-collapseTwo"
                    [ngClass]="{
            'text-light bg-dark': themeService.theme === 'theme-dark',
            'text-dark bg-light': themeService.theme === 'theme-light'
          }"
                >
                    <i class="fas fa-cogs"></i>&nbsp;Advanced Settings
                </button>
            </h2>
            <div
                    id="panelsStayOpen-collapseTwo"
                    class="accordion-collapse collapse show"
                    aria-labelledby="panelsAdvancedSettings"
            >
                <div class="accordion-body">
                    <app-dropdown
                            label="Protein-Protein Interaction DB"
                            [items]="dataLists.protProtInterList"
                            [model]="getConfig('interactionProteinProtein')"
                            tooltip="Select the dataset of protein-protein information that is later used in functions like 'Find Drug Targets' and 'Run Task X'."
                            (onChange)="changeDataset('interactionProteinProtein', $event)"
                    ></app-dropdown>
                    <app-dropdown
                            label="Drug-Protein Interaction DB"
                            [items]="dataLists.drugProtInterList"
                            [model]="getConfig('interactionDrugProtein')"
                            tooltip="Select the dataset of drug-protein information that is later used in functions like 'Find Drug Targets'."
                            (onChange)="changeDataset('interactionDrugProtein', $event)"
                    ></app-dropdown>
                    <app-dropdown
                            label="Protein-Disease Association DB"
                            [items]="dataLists.protDisList"
                            [model]="getConfig('associatedProteinDisorder')"
                            tooltip="Select the dataset of protein-disease information that is later used in functions like 'Show disorders adjacent to displayed proteins'."
                            (onChange)="changeDataset('associatedProteinDisorder', $event)"
                    ></app-dropdown>
                    <app-dropdown
                            label="Drug-Disease Indication DB"
                            [items]="dataLists.drugDisList"
                            [model]="getConfig('indicationDrugDisorder')"
                            tooltip="Select the dataset of drug-disease information that is later used in functions like 'Show disorders adjacent to displayed drugs'."
                            (onChange)="changeDataset('indicationDrugDisorder', $event)"
                    ></app-dropdown>
                    <app-switch
                            label="Autofill interactions"
                            [model]="
              getConfig('autofillEdges') == null || getConfig('autofillEdges')
            "
                            (onChange)="changeConfig('autofillEdges', $event)"
                            tooltip="If enabled, adds automatically gene-gene interaction edges."
                    ></app-switch>
                </div>
            </div>
        </div>
    </div>
</div>
